Bug 198227 - ldd -r reports undefined symbols
ldd -r reports undefined symbols
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: lftp (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
:
Depends On:
Blocks: ldd-r-kh
  Show dependency treegraph
 
Reported: 2006-07-10 11:10 EDT by Karsten Hopp
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-19 18:46:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2006-07-10 11:10:47 EDT
Note: ldd can't handle dlopen'ed dependent libraries and these unresolved symbols
might be resolved by those. But this needs to be checked.
Reproducer: rpm -ql <packagename>| grep lib.*so | xargs ldd -r


lftp-3.4.7-2.FC6
undefined symbol: _ZN14DirectedBuffer13PutTranslatedEPKci       (/usr/lib/liblftp-jobs.so)
undefined symbol: _ZN12FileCopyPeer4DoneEv      (/usr/lib/liblftp-jobs.so)
undefined symbol: _ZN12FileCopyPeer4SeekEx      (/usr/lib/liblftp-jobs.so)
undefined symbol: _ZN8IOBuffer2DoEv     (/usr/lib/liblftp-jobs.so)
undefined symbol: _ZThn64_N8IOBuffer2DoEv       (/usr/lib/liblftp-jobs.so)
undefined symbol: _ZTV8IOBuffer (/usr/lib/liblftp-jobs.so)
undefined symbol: _ZN6ResMgr15TriBoolValidateEPPc       (/usr/lib/liblftp-jobs.so)
undefined symbol: _ZN9DirColors8instanceE       (/usr/lib/liblftp-jobs.so)
undefined symbol: _ZN6ResMgr12BoolValidateEPPc  (/usr/lib/liblftp-jobs.so)
undefined symbol: lftp_bookmarks        (/usr/lib/liblftp-jobs.so)
undefined symbol: _ZN6ResMgr9NoClosureEPPc      (/usr/lib/liblftp-jobs.so)
...
...
Comment 1 Jason Vas Dias 2006-07-19 18:46:09 EDT
Yes, lftp always 'dlopen's its protocol implementation module libraries in 
/usr/lib/lftp/%{version} - so I don't think this is a problem - thanks anyway.

Note You need to log in before you can comment on or make changes to this bug.